javax.xml.xquery

## Class XQStackTraceVariable

- java.lang.Object
- - javax.xml.xquery.XQStackTraceVariable

All Implemented Interfaces:
  java.io.Serializable

    public class XQStackTraceVariable
    extends java.lang.Object
    implements java.io.Serializable

This class represents the list of variables and their values in an error stack.

See Also:
  ``XQStackTraceElement``, ``XQQueryException``, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`XQStackTraceVariable(javax.xml.namespace.QName qname, java.lang.String value)` Construct a stack trace variable object.

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.xml.namespace.QName` `getQName()` Gets the `QName` of the variable.
`java.lang.String` `getValue()` Gets a short string representation of the value of the stack variable.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XQStackTraceVariable

    public XQStackTraceVariable(javax.xml.namespace.QName qname,
                                java.lang.String value)

Construct a stack trace variable object.

Parameters:
  `qname` - the `QName` of the variable in the error stack
  `value` - a vendor specific short string representation of the value of the variable in the error stack

### Method Detail

#### getQName

    public javax.xml.namespace.QName getQName()

Gets the `QName` of the variable.

Returns:
  the `QName` of the variable in the stack

#### getValue

    public java.lang.String getValue()

Gets a short string representation of the value of the stack variable. Representations of values are vendor specific and for XML node types may be XPath descriptions such as "doc("0596003870/book1.xml")/book/chapter[5]". Sequences may print just some set of values from the sequence such as '("5", "6", "7", ...)'.

Returns:
  the `String` representation of the value of the variable. This representation is vendor specific.

Copyright © 2003, 2020, Oracle and/or its affiliates.